## toastinfo 1.0

=== Makefile ===
MODULES = toastinfo
EXTENSION = toastinfo
DATA = toastinfo--1.sql
REGRESS = toastinfo

PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
toastinfo (1.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-toastinfo-source-distribution=sid-3,
    1b004a22e4386e9ecc6e362e00f663902b218394/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sat, 18 Nov 2017 20:06:55 +0100

toastinfo (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sat, 18 Nov 2017 19:04:28 +0100

=== debian/control ===
Source: toastinfo
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/toastinfo.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/toastinfo.git

Package: postgresql-10-toastinfo
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

## toastinfo 1.2

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 DATA = toastinfo--1.sql
 REGRESS = toastinfo
 
+ifndef PG_CONFIG
 PG_CONFIG = pg_config
+endif
+
 PGXS = $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/changelog ===
toastinfo (1.2-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 19 Oct 2020 22:30:28 +0200

toastinfo (1.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 22:30:28 +0200

toastinfo (1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Upgrade to newer source format 3.0 (quilt).
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Support PostgreSQL 13.

 -- Christoph Berg <myon@debian.org>  Thu, 21 May 2020 18:51:25 +0200

toastinfo (1.1-4) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:37:36 +0100

toastinfo (1.1-3) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Feb 2019 14:10:21 +0100

toastinfo (1.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 17 Oct 2018 12:55:43 +0200

toastinfo (1.1-1) unstable; urgency=medium

  * New upstream release with rpm spec files.
  * Use source format 1.0 to ease building snapshots.
  * Update Vcs URLs.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 04 Apr 2018 13:32:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,54 @@
 Source: toastinfo
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/toastinfo.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/toastinfo.git
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/credativ/toastinfo
+Vcs-Browser: https://github.com/credativ/toastinfo
+Vcs-Git: https://github.com/credativ/toastinfo.git
+
+Package: postgresql-9.5-toastinfo
+Architecture: any
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Description: Show storage structure of varlena datatypes in PostgreSQL
+ This PostgreSQL extension exposes the internal storage structure of
+ variable-length datatypes, called varlena.
+ .
+ The function pg_toastinfo describes the storage form of a datum:
+ .
+  * null for NULLs
+  * ordinary for non-varlena datatypes
+  * short inline varlena for varlena values up to 126 bytes (1 byte header)
+  * long inline varlena, (un)compressed for varlena values up to 1GiB
+    (4 bytes header)
+  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
+    TOAST tables
+ .
+ The function pg_toastpointer returns a varlena's chunk_id oid in the
+ corresponding TOAST table. It returns NULL on non-varlena input.
+
+Package: postgresql-9.6-toastinfo
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: Show storage structure of varlena datatypes in PostgreSQL
+ This PostgreSQL extension exposes the internal storage structure of
+ variable-length datatypes, called varlena.
+ .
+ The function pg_toastinfo describes the storage form of a datum:
+ .
+  * null for NULLs
+  * ordinary for non-varlena datatypes
+  * short inline varlena for varlena values up to 126 bytes (1 byte header)
+  * long inline varlena, (un)compressed for varlena values up to 1GiB
+    (4 bytes header)
+  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
+    TOAST tables
+ .
+ The function pg_toastpointer returns a varlena's chunk_id oid in the
+ corresponding TOAST table. It returns NULL on non-varlena input.
 
 Package: postgresql-10-toastinfo
 Architecture: any
@@ -28,3 +70,62 @@
  The function pg_toastpointer returns a varlena's chunk_id oid in the
  corresponding TOAST table. It returns NULL on non-varlena input.
 
+Package: postgresql-11-toastinfo
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: Show storage structure of varlena datatypes in PostgreSQL
+ This PostgreSQL extension exposes the internal storage structure of
+ variable-length datatypes, called varlena.
+ .
+ The function pg_toastinfo describes the storage form of a datum:
+ .
+  * null for NULLs
+  * ordinary for non-varlena datatypes
+  * short inline varlena for varlena values up to 126 bytes (1 byte header)
+  * long inline varlena, (un)compressed for varlena values up to 1GiB
+    (4 bytes header)
+  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
+    TOAST tables
+ .
+ The function pg_toastpointer returns a varlena's chunk_id oid in the
+ corresponding TOAST table. It returns NULL on non-varlena input.
+
+Package: postgresql-12-toastinfo
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: Show storage structure of varlena datatypes in PostgreSQL
+ This PostgreSQL extension exposes the internal storage structure of
+ variable-length datatypes, called varlena.
+ .
+ The function pg_toastinfo describes the storage form of a datum:
+ .
+  * null for NULLs
+  * ordinary for non-varlena datatypes
+  * short inline varlena for varlena values up to 126 bytes (1 byte header)
+  * long inline varlena, (un)compressed for varlena values up to 1GiB
+    (4 bytes header)
+  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
+    TOAST tables
+ .
+ The function pg_toastpointer returns a varlena's chunk_id oid in the
+ corresponding TOAST table. It returns NULL on non-varlena input.
+
+Package: postgresql-13-toastinfo
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: Show storage structure of varlena datatypes in PostgreSQL
+ This PostgreSQL extension exposes the internal storage structure of
+ variable-length datatypes, called varlena.
+ .
+ The function pg_toastinfo describes the storage form of a datum:
+ .
+  * null for NULLs
+  * ordinary for non-varlena datatypes
+  * short inline varlena for varlena values up to 126 bytes (1 byte header)
+  * long inline varlena, (un)compressed for varlena values up to 1GiB
+    (4 bytes header)
+  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
+    TOAST tables
+ .
+ The function pg_toastpointer returns a varlena's chunk_id oid in the
+ corresponding TOAST table. It returns NULL on non-varlena input.

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg18.04+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

toastinfo (1.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:15:55 +0200

toastinfo (1.4-1) unstable; urgency=medium

  * Support PG14+.
  * In PG14+, show if compressed varlenas use pglz or lz4 compression.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Sep 2021 16:04:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,52 +3,12 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/credativ/toastinfo
 Vcs-Browser: https://github.com/credativ/toastinfo
 Vcs-Git: https://github.com/credativ/toastinfo.git
-
-Package: postgresql-9.5-toastinfo
-Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
-Description: Show storage structure of varlena datatypes in PostgreSQL
- This PostgreSQL extension exposes the internal storage structure of
- variable-length datatypes, called varlena.
- .
- The function pg_toastinfo describes the storage form of a datum:
- .
-  * null for NULLs
-  * ordinary for non-varlena datatypes
-  * short inline varlena for varlena values up to 126 bytes (1 byte header)
-  * long inline varlena, (un)compressed for varlena values up to 1GiB
-    (4 bytes header)
-  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
-    TOAST tables
- .
- The function pg_toastpointer returns a varlena's chunk_id oid in the
- corresponding TOAST table. It returns NULL on non-varlena input.
-
-Package: postgresql-9.6-toastinfo
-Architecture: any
-Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
-Description: Show storage structure of varlena datatypes in PostgreSQL
- This PostgreSQL extension exposes the internal storage structure of
- variable-length datatypes, called varlena.
- .
- The function pg_toastinfo describes the storage form of a datum:
- .
-  * null for NULLs
-  * ordinary for non-varlena datatypes
-  * short inline varlena for varlena values up to 126 bytes (1 byte header)
-  * long inline varlena, (un)compressed for varlena values up to 1GiB
-    (4 bytes header)
-  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
-    TOAST tables
- .
- The function pg_toastpointer returns a varlena's chunk_id oid in the
- corresponding TOAST table. It returns NULL on non-varlena input.
 
 Package: postgresql-10-toastinfo
 Architecture: any
@@ -129,3 +89,23 @@
  .
  The function pg_toastpointer returns a varlena's chunk_id oid in the
  corresponding TOAST table. It returns NULL on non-varlena input.
+
+Package: postgresql-14-toastinfo
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: Show storage structure of varlena datatypes in PostgreSQL
+ This PostgreSQL extension exposes the internal storage structure of
+ variable-length datatypes, called varlena.
+ .
+ The function pg_toastinfo describes the storage form of a datum:
+ .
+  * null for NULLs
+  * ordinary for non-varlena datatypes
+  * short inline varlena for varlena values up to 126 bytes (1 byte header)
+  * long inline varlena, (un)compressed for varlena values up to 1GiB
+    (4 bytes header)
+  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
+    TOAST tables
+ .
+ The function pg_toastpointer returns a varlena's chunk_id oid in the
+ corresponding TOAST table. It returns NULL on non-varlena input.

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg20.04+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/credativ/toastinfo

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg21.10+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg22.04+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg90+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/credativ/toastinfo

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg100+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg110+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/credativ/toastinfo

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg120+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

## toastinfo 1.4~20220627.1400-2~1.gitc0b1ad9.pgdg+1

=== debian/changelog ===
toastinfo (1.4~20220627.1400-2~1.gitc0b1ad9.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:15:55 +0200

## toastinfo 1.4

=== debian/changelog ===
toastinfo (1.4-3) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:18:43 +0200

=== debian/control ===
Source: toastinfo
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/credativ/toastinfo
Vcs-Browser: https://github.com/credativ/toastinfo
Vcs-Git: https://github.com/credativ/toastinfo.git

Package: postgresql-15-toastinfo
Architecture: any
Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

=== debian/watch ===
version=4
https://github.com/credativ/toastinfo/tags .*/v(.*).tar.gz

## toastinfo 1.5

=== debian/changelog ===
toastinfo (1.5-3.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 09 Oct 2025 10:54:34 +0200

toastinfo (1.5-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117343)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 10:54:34 +0200

toastinfo (1.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 14:56:02 +0200

toastinfo (1.5-1) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:50:06 +0200

=== debian/control ===
Source: toastinfo
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/df7cb/toastinfo
Vcs-Browser: https://github.com/df7cb/toastinfo
Vcs-Git: https://github.com/df7cb/toastinfo.git

Package: postgresql-10-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-11-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-12-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-13-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-14-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-15-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-16-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-17-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.

Package: postgresql-18-toastinfo
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Show storage structure of varlena datatypes in PostgreSQL
 This PostgreSQL extension exposes the internal storage structure of
 variable-length datatypes, called varlena.
 .
 The function pg_toastinfo describes the storage form of a datum:
 .
  * null for NULLs
  * ordinary for non-varlena datatypes
  * short inline varlena for varlena values up to 126 bytes (1 byte header)
  * long inline varlena, (un)compressed for varlena values up to 1GiB
    (4 bytes header)
  * toasted varlena, (un)compressed for varlena values up to 1GiB stored in
    TOAST tables
 .
 The function pg_toastpointer returns a varlena's chunk_id oid in the
 corresponding TOAST table. It returns NULL on non-varlena input.
